<?php
/*
Plugin Name: NBC News
Version: 2.0a
Description: Permet de gerer l'afficher des news sur la 1ere page
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=202
Author: Nicco, Eric
Author URI: http://gallery-nicco.no-ip.org/ - http://www.infernoweb.net
*/


/*

 ***** TODO List *****

Liste des choses a faire :

-- gestion de la suppression d un groupe

-- gestion d'une partie résumé un peu comme extended Presentation
*/



if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
define('NBC_NEWS_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');

include_once(NBC_NEWS_PATH.'include/constants.php');
include_once(NBC_NEWS_PATH.'include/functions_news.inc.php');



global $conf, $user, $im_priority;



if (isset($conf['IndexManager']))
{
	include_once( PHPWG_PLUGINS_PATH . 'IndexManager/index_manager.php' );
	check_indexmanager('NewsOnIndex');
}



add_event_handler('get_admin_plugin_menu_links', 'nbc_News_admin_menu');

function nbc_News_admin_menu($menu)
{
  array_push($menu,
    array(
      'NAME' => 'News',
      'URL'  => get_admin_plugin_menu_link(NBC_NEWS_PATH.'admin/news_admin.php')
    )
  );
  
  return $menu;
}




/* suppression de user */
add_event_handler('delete_user', 'nbc_News_Deluser');

function nbc_News_Deluser($user_id)
{
  $tables = array(
    NEWS_USER_ACCESS_TABLE,
    NEWS_USER_REFUSED_TABLE,
  );

  foreach ($tables as $table)
  {
    $query = '
      DELETE FROM '.$table.'
      WHERE user_id = '.$user_id.'
    ;';
    pwg_query($query);
  }

}



if ( script_basename() == 'admin' and isset($_GET['page']) and $_GET['page'] == 'group_list' and isset($_GET['delete']) and is_numeric($_GET['delete']) )
{
  add_event_handler('loc_begin_page_tail', 'nbc_News_Delgroup');
}

function nbc_News_Delgroup()
{
  if ( !is_adviser() )
  {
    $tables = array(
      NEWS_GROUP_ACCESS_TABLE,
      NEWS_GROUP_REFUSED_TABLE,
    );
  
    foreach ($tables as $table)
    {
      $query = '
        DELETE FROM '.$table.'
        WHERE group_id = '. $_GET['delete'].'
      ;';
      pwg_query($query);
    }
  }
}



add_event_handler('loc_end_index' , 'nbc_NewsOnIndex', isset($im_priority) ? $im_priority['NewsOnIndex'] : 40);

function nbc_NewsOnIndex()
{
  global $page, $prefixeTable, $template;

  if (isset($page['body_id']) and $page['section'] == 'categories' and (!isset($page['category'])))
  {
    include_once(NBC_NEWS_PATH.'NewsOnIndex.php');
  }
}



add_event_handler('loc_end_page_header', 'nbc_NewsAddCSS' );

function nbc_NewsAddCSS()
{
  global $template, $user;
  
  $template -> assign(
    'head_element', array (
    'CONTENT' => '<link rel="stylesheet" type="text/css" href="'.NBC_NEWS_PATH.'template/news.css">
                  <link rel="stylesheet" type="text/css" href="'.NBC_NEWS_PATH.'template/'.$user['template'].'/theme/'.$user['theme'].'/news.css">',
    )
  );
}

?>
